from PIL import Image
import base64

im = Image.open('still.jpg')

# using Image.ADAPTIVE to avoid dithering
for i in range(8, 0, -1):
    out = im.convert('P', palette=Image.ADAPTIVE, colors=i)

    out.save(f'out_{i}_bits.png')
    
    with open(f'out_{i}_bits.png', 'rb') as image_file:
        encoded_string = base64.a85encode(image_file.read())

    with open(f'out_{i}_bits.txt', 'w') as f:
        f.write(encoded_string.decode('UTF-8'))
